using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using Syncfusion.Windows.Forms.Chart;
using System.IO;

namespace SampleCrashOnZoom
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {

            chartControl1.Series.Clear();
            chartControl1.ChartArea.AxisSpacing = new SizeF(20, 20);
            chartControl1.PrimaryXAxis.LabelIntersectAction = ChartLabelIntersectAction.Wrap;
            chartControl1.PrimaryXAxis.ValueType = ChartValueType.DateTime;
            chartControl1.PrimaryXAxis.DateTimeFormat = System.Globalization.CultureInfo.CurrentCulture.DateTimeFormat.FullDateTimePattern;
            chartControl1.Text = "Daily Network Load";
            chartControl1.PrimaryYAxis.Title = "Server Load (MBytes)";
            chartControl1.KeyZoom = true;
            chartControl1.ZoomLeft = System.Windows.Forms.Keys.Left;
            chartControl1.ZoomRight = System.Windows.Forms.Keys.Right;
            chartControl1.ZoomIn = System.Windows.Forms.Keys.Add;
            chartControl1.ZoomOut = System.Windows.Forms.Keys.Subtract;
            chartControl1.ZoomFactorX = 1;

        }

        private void button1_Click(object sender, EventArgs e)
        {
            ChartSeries serie1;
            ChartSeries serie2;
            DateTime startDate;
            startDate = DateTime.Now;
            double value = 0;
            serie1 = new ChartSeries("Test1", ChartSeriesType.Line);
            serie2 = new ChartSeries("Test2", ChartSeriesType.Line);
            for (int k = 1; k <= 2; k++)
            {
                for (int i = 0; i <= 3000; i++)
                {
                    value += 1;
                    if (value == 100)
                    {
                        value = 0;
                    }
                    serie1.Points.Add(startDate, value);
                    serie1.Points.Add(startDate.AddMinutes(-1), value);
                    startDate = startDate.AddMinutes(-10);
                }
            }
            chartControl1.Series.Add(serie1);
//            chartControl1.Series.Add(serie2);
            propertyGrid1.SelectedObject = chartControl1;
        }

        private void button2_Click(object sender, EventArgs e)
        {
            string templatePath = Path.Combine(Path.GetDirectoryName(Application.ExecutablePath), "Area.xml");
            ChartTemplate.Load(chartControl1, templatePath);
        }
    }
}